Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.comparison
Class Ztable

    java.lang.Object
      edu.msu.cme.rdp.classifier.comparison.Ztable

    public class Ztable

extends java.lang.Object

Field Summary
`private static java.lang.String` | `dataDir` The default data directory, relative to the classpath.
`private static java.lang.String` | `dataProp`
`private static java.lang.String` | `defaultDataProp` The default data property file name, inside the default data directory
`private static double` | `DELIMITER_Z`
`private static java.text.DecimalFormat` | `df`
`private static double` | `MAX_Z`
`private java.util.Hashtable` | `zHash`

Constructor Summary
`Ztable()` Creates a new instance of Ztable

Method Summary
`double` | `getPvalue(double z)`
`private void` | `readZtable(java.io.InputStreamReader in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataDir

    private static java.lang.String dataDir

  The default data directory, relative to the classpath.

### defaultDataProp

    private static final java.lang.String defaultDataProp

  The default data property file name, inside the default data directory

  See Also:
    Constant Field Values

### dataProp

    private static java.lang.String dataProp

### df

    private static java.text.DecimalFormat df

### zHash

    private java.util.Hashtable zHash

### MAX_Z

    private static final double MAX_Z

See Also:
  Constant Field Values

### DELIMITER_Z

    private static final double DELIMITER_Z

See Also:
  Constant Field Values

Constructor Detail

### Ztable

    public Ztable()

  Creates a new instance of Ztable

Method Detail

### readZtable

    private void readZtable(java.io.InputStreamReader in)

### getPvalue

    public double getPvalue(double z)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD